//
// tabs
// ce_tabs
//

// variables used from _variables.scss
$tab-border-width: $base-border-width;
$tab-border-color: $base-border-color;
$tab-border-color-hover: $color-highlight;
$tab-headline-padding: $base-spacing-unit-sm;

.tabs {
  @extend %list-reset;
}

.tab-head ul {
  list-style-type: none;
  margin: 0;
  padding: 0;
  // reset
  display: flex;
  border-bottom: $tab-border-width solid $tab-border-color;
}

.tab-headline {
  padding: $tab-headline-padding;
  @include transition;
  margin-bottom: -1px;
  cursor: pointer;

  &:hover {
    color: $tab-border-color-hover;
  }
}

.tab-headline.current {
  color: $tab-border-color-hover;
  border-bottom: $tab-border-width solid $tab-border-color-hover;
  font-weight: bold;
}

.tab-body {
  margin-top: $base-spacing-unit;
}

.tab-content {
  display: none;
}

.tab-content.current {
  display: inherit;
}
